package com.zd.smartlock.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.zd.common.core.annotation.Excel;
import com.zd.common.core.web.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.hibernate.validator.constraints.Length;

import java.util.Date;

/**
 * 人员关联对象 sl_user_relation
 *
 * @author zd
 * @date 2022-09-02
 */
@ApiModel("人员关联")
public class SlApplyApproval extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    @ApiModelProperty(value = "${comment}")
    private Long id;
    /** 申请表主键 */
    @Excel(name = "申请表主键")
    @ApiModelProperty(value = "申请表主键")
    private Long applyId;
    /** 审核人id */
    @Excel(name = "审核人id")
    @ApiModelProperty(value = "审核人id")
    private Long approvaId;
    /** 审核人姓名 */
    @Excel(name = "审核人姓名")
    @Length(message = "审核人姓名长度不能超过50")
    @ApiModelProperty(value = "审核人姓名")
    private String approvaName;
    /** 1通过 2驳回 */
    @Excel(name = "1通过 2驳回")
    @ApiModelProperty(value = "1通过 2驳回")
    private Long approvaStatus;
    /** $column.columnComment */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "1通过 2驳回", width = 30, dateFormat = "yyyy-MM-dd")
    @ApiModelProperty(value = "1通过 2驳回")
    private Date cretaTime;



    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getApplyId() {
        return applyId;
    }

    public void setApplyId(Long applyId) {
        this.applyId = applyId;
    }

    public Long getApprovaId() {
        return approvaId;
    }

    public void setApprovaId(Long approvaId) {
        this.approvaId = approvaId;
    }

    public String getApprovaName() {
        return approvaName;
    }

    public void setApprovaName(String approvaName) {
        this.approvaName = approvaName;
    }

    public Long getApprovaStatus() {
        return approvaStatus;
    }

    public void setApprovaStatus(Long approvaStatus) {
        this.approvaStatus = approvaStatus;
    }

    public Date getCretaTime() {
        return cretaTime;
    }

    public void setCretaTime(Date cretaTime) {
        this.cretaTime = cretaTime;
    }

}
